apiVersion: apps/v1
kind: Deployment
metadata:
  name: ci4s-gateway-deployment
  namespace: argo
spec:
  replicas: 1
  selector:
    matchLabels:
      app: ci4s-gateway
  template:
    metadata:
      labels:
        app: ci4s-gateway
    spec:
      containers:
      - name: ci4s-gateway
        image: ${k8s-4gateway-image}
        ports:
        - containerPort: 8082

---
apiVersion: v1
kind: Service
metadata:
  name: ci4s-gateway-service
  namespace: argo
spec:
  type: NodePort
  ports:
    - port: 8082
      nodePort: 31205
      protocol: TCP
  selector:
    app: ci4s-gateway

